@tailwind base;

html {
  @apply leading-tight;
  font-family: "Roboto", sans-serif;
}

@tailwind components;

.link:not(.hero) {
  @apply font-bold text-gray-900 transition border-b-2 border-gray-500;
}

.link:hover:not(.hero) {
  @apply text-black border-black;
}

.font-lobster {
  font-family: "Lobster Two";
}

.stacking {
  display: grid;
  grid-template: "content" 1fr / 1fr;
  justify-items: stretch;
  align-items: stretch;
}
.stacking > * {
  grid-area: content;
}

:focus {
  outline: none;
}

* {
  -webkit-tap-highlight-color: transparent;
}

.clickable {
  @apply cursor-pointer select-none;
}

.clickable-bg {
  @apply clickable;
}
.clickable-bg:hover {
  @apply bg-gray-100;
}

.button {
  @apply inline-flex items-center px-4 py-2 bg-blue-700 border border-transparent rounded-md font-medium text-xs text-white uppercase tracking-widest transition ease-in-out duration-150 clickable;
}
.text-button {
  @apply button;
  @apply bg-transparent text-blue-500 normal-case text-sm tracking-wider;
}
.text-button:active {
  @apply bg-blue-200;
}
.text-button:hover {
  @apply bg-blue-100;
}
.text-button:focus {
  @apply outline-none border-gray-900;
}
.button:hover {
  @apply bg-blue-600;
}
.button:focus {
  @apply outline-none border-gray-900;
}
.button:active {
  @apply bg-blue-900;
}
.button:disabled {
  @apply opacity-25;
}

[class*="-enter-active"],
[class*="-leave-active"],
[class*="-move"] {
  @apply duration-200;
}

.page-backward-leave-active,
.page-forward-enter-active,
.page-forward-leave-active,
.page-backward-enter-active {
  transition: opacity calc(45ms / 1) calc(75ms / 1), transform calc(300ms / 1);
  /* transition-duration: 10s; */
  @apply absolute top-0 left-0 w-full;
}
.page-backward-leave-active,
.page-forward-enter-active {
  @apply z-10;
}
.page-forward-enter-from,
.page-backward-leave-to {
  transform: scale(0.8);
  @apply opacity-0;
}
.page-forward-leave-to,
.page-backward-enter-from {
  transform: scale(1.1);
}

.fade-through-leave-active {
  @apply ease-out;
  transition: opacity 90ms ease-in;
}
.fade-through-enter-active {
  /* @apply ease-out; */
  transition: opacity 210ms, transform 210ms;
}
.fade-through-leave-to {
  opacity: 0;
}
.fade-through-enter-from {
  opacity: 0;
  transform: scale(0.92);
}

.fade-switch-left-enter-from,
.fade-switch-left-leave-to,
.fade-switch-right-enter-from,
.fade-switch-right-leave-to {
  @apply opacity-0;
}
.fade-switch-right-enter-from {
  @apply transform -translate-x-4;
}
.fade-switch-right-leave-to {
  @apply transform translate-x-4;
}
.fade-switch-left-enter-from {
  @apply transform translate-x-4;
}
.fade-switch-left-leave-to {
  @apply transform -translate-x-4;
}

.fade-left-enter-from,
.fade-left-leave-to {
  @apply transform -translate-x-4;
  @apply opacity-0;
}
.fade-down-enter-from,
.fade-down-leave-to {
  @apply transform translate-y-4;
  @apply opacity-0;
}
.fade-right-enter-from,
.fade-right-leave-to {
  @apply transform translate-x-4;
  @apply opacity-0;
}

.fade-switch-left-enter-active,
.fade-switch-left-leave-active,
.fade-switch-right-enter-active,
.fade-switch-right-leave-active {
  @apply duration-100;
}
.tasks-view-enter-from,
.tasks-view-leave-to {
  @apply opacity-0;
}
.tasks-view-enter-from.done,
.tasks-view-leave-to.done {
  @apply ml-4;
}
.tasks-view-enter-from.pending,
.tasks-view-leave-to.pending {
  @apply -ml-4;
}

.page-fade-enter-active,
.page-fade-leave-active {
  @apply absolute top-0 left-0 w-full;
}

.fade-enter-from,
.fade-leave-to,
.page-fade-enter-from,
.page-fade-leave-to {
  @apply opacity-0;
}

.popup-enter-active .content,
.popup-leave-active .content,
.popup-enter-active .dimmer,
.popup-leave-active .dimmer {
  transition: opacity var(--transition-duration) var(--transition-timing),
    transform var(--transition-duration) var(--transition-timing);
}
.popup-enter-from .dimmer,
.popup-leave-to .dimmer {
  opacity: 0;
}
.popup-enter-from .content,
.popup-leave-to .content {
  opacity: 0;
  transform: translateY(50px);
}

.list-up-enter-from,
.list-up-leave-to {
  opacity: 0;
  transform: translateY(-3em);
}
.list-up-leave-active {
  position: absolute;
}

.list-fade-enter-from,
.list-fade-leave-to {
  opacity: 0;
}
.list-fade-leave-active {
  position: absolute;
  width: 95%;
}

/* Event */
.event-description-enter,
.event-description-leave-to {
  opacity: 0;
  transform: translateY(-100%);
  padding-top: 0px;
  margin-top: 0px;
}

.event-description-enter-active,
.event-description-leave-active {
  transition-delay: 200ms;
}

@tailwind utilities;
